<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width, initial-scale=1" />

<link rel="stylesheet" type="text/css"
	th:href="@{/webjars/bootstrap/4.1.3/css/bootstrap.min.css}" />

<title th:text="#{common.fournisseur}"></title>
</head>
<body >

	<nav class="navbar navbar-dark bg-dark fixed-top navbar-expand-md">
	    <div class="container-fluid">
	        <button type="button" class="navbar-toggler collapsed" data-toggle="collapse"
	        data-target="#navbar" aria-expanded="false" aria-controls="navbar">	<span class="sr-only">Toggle navigation</span> &#x2630;</button>	<a class="navbar-brand"
	        href="#" th:href="@{/}"></a>
	    </div>
	</nav>
	
	<br>
	<br>
	
	<div class="container-fluid">
	    <div class="row">
	    
	    	<div class="col-sm-4" th:if="${currentFournisseur}">
	    		<h2 th:text="${currentFournisseur.nomFournisseur}"></h2>
	    		<div th:if="${param.successUpdate}">
	                <div class="alert alert-info">Le fournisseur a été modifié avec succés</div>
	            </div>
	    		<strong><label>Telephone</label></strong>: <span th:text="${currentFournisseur.telephone}"></span><br>
	    		<strong><label>Email</label></strong>: <span th:text="${currentFournisseur.email}"></span><br>
	    		<strong><label>Adresse</label></strong>: <span th:text="${currentFournisseur.adresse}"></span><br>
	    		<br><hr>
	    	</div>
	    	
	    		
<!-- 	private String reference;
	
	private Date dateExpiration;
	
	private String designation;
	
	private String quantite;
	    	 -->
	    	 
	    	<div class="col-sm-8" th:if="${currentFournisseur}">
	    		<table class="table table-sm">
	        		<thead>
	        			<tr>
	        				<th>Ref.</th>
	        				<th>Date expiration</th>
	        				<th>Designation</th>
	        				<th>Quantité</th>
	        				<th></th>
	        			</tr>
	        		</thead>
	        		
	        		<tbody >
	        			<tr th:each="commande : ${currentFournisseur.commandes}">
	        				<td th:text="${commande.reference}"></td>
	        				<td th:text="${commande.dateExpiration}"></td>
	        				<td th:text="${commande.designation}"></td>
	        				<td th:text="${commande.quantite}"></td>
	        				<td>
	        					
	        				</td>
	        			</tr>
	        		</tbody>
	        	</table>
	        </div>
	    	
	    	<div class="col-sm-4" th:if="${currentFournisseurEdit}">
	        
	            <div th:if="${param.successUpdate}">
	                <div class="alert alert-info">Le fournisseur a été modifié avec succés</div>
	            </div>
	            
	            <h3>Modification Fournisseur: <span th:text="${currentFournisseurEdit.nomFournisseur}"></span></h3>
 	            <form th:action="@{/fournisseur/update}" th:object="${currentFournisseurEdit}" method="post">
	            
	                <p class="error-message" th:if="${#fields.hasGlobalErrors()}" th:each="error : ${#fields.errors('global')}"
	                th:text="${error}">Validation error</p>
	                
	                <input type="hidden" th:field="*{id}">
	                
	                <div class="form-group" th:classappend="${#fields.hasErrors('nomFournisseur')}? 'is-invalid':''">
	                    <label for="nomFournisseur" class="col-form-label">Nom fournisseur</label>	            
	                    <input id="nomFournisseur" class="form-control form-control-sm border-secondary rounded-0"
	                    th:field="*{nomFournisseur}">	                    
	                    <p class="error-message" th:each="error: ${#fields.errors('nomFournisseur')}"
	                    th:text="${error}">Validation error</p>
	                </div>
	                
	                <div class="form-group" th:classappend="${#fields.hasErrors('telephone')}? 'is-invalid':''">
	                    <label for="prenom" class="col-form-label">telephone</label>
	                    <input id="prenom" class="form-control form-control-sm border-secondary rounded-0"
	                    th:field="*{telephone}">
	                    <p class="error-message" th:each="error : ${#fields.errors('telephone')}"
	                    th:text="${error}">Validation error</p>
	                </div>
	                
	                <div class="form-group" th:classappend="${#fields.hasErrors('email')}? 'is-invalid':''">
	                    <label for="email" class="col-form-label">Email</label>
	                    <input id="email" class="form-control form-control-sm border-secondary rounded-0" th:field="*{email}">
	                    <p class="error-message" th:each="error : ${#fields.errors('email')}"
	                    th:text="${error}">Validation error</p>
	                </div>
	                
	                <div class="form-group" th:classappend="${#fields.hasErrors('adresse')}? 'is-invalid':''">
		                    <label for="cust_name" class="col-form-label">Adresse</label><br>
		                     <textarea class="form-control border-secondary rounded-0" 
		                     	th:classappend="${#fields.hasErrors('adresse')}? 'is-invalid' :''" th:field = "*{adresse}"  >...</textarea>
		                    <div class="invalid-feedback" th:each="error: ${#fields.errors('adresse')}" th:text="${error}">
						      Validation error
						    </div>
		              </div>
	                
	                <div class="form-group">
	                    <button type="submit" class="btn btn-warning">Modifier le fournisseur</button>
	                </div>
	            </form>
	            <br><hr>
	        </div>
	        <div class="col-sm-8" th:if="${currentFournisseurEdit}"></div>
	    	
	        <div class="col-sm-4">
	        
	            <div th:if="${param.success}">
	                <div class="alert alert-info">Le fournisseur a été créée avec succés</div>
	            </div>
	            
	            <h3>Nouveau Fournisseur</h3>
				
<!-- 				
				<div sec:authorize="hasRole('ROLE_ADMIN')">
				  This content is only shown to administrators.
				</div>
	            	 -->
 	            <form th:action="@{/fournisseur/add}" th:object="${new_fournisseur}" method="post">
	            
	                <p class="error-message" th:if="${#fields.hasGlobalErrors()}" th:each="error : ${#fields.errors('global')}"
	                th:text="${error}">Validation error</p>
	                
	                <div class="form-group" th:classappend="${#fields.hasErrors('nomFournisseur')}? 'is-invalid':''">
	                    <label for="nomFournisseur" class="col-form-label">Nom fournisseur</label>	            
	                    <input id="nomFournisseur" class="form-control form-control-sm border-secondary rounded-0"
	                    th:field="*{nomFournisseur}">	                    
	                    <p class="error-message" th:each="error: ${#fields.errors('nomFournisseur')}"
	                    th:text="${error}">Validation error</p>
	                </div>
	                
	                <div class="form-group" th:classappend="${#fields.hasErrors('telephone')}? 'is-invalid':''">
	                    <label for="prenom" class="col-form-label">telephone</label>
	                    <input id="prenom" class="form-control form-control-sm border-secondary rounded-0"
	                    th:field="*{telephone}">
	                    <p class="error-message" th:each="error : ${#fields.errors('telephone')}"
	                    th:text="${error}">Validation error</p>
	                </div>
	                
	                <div class="form-group" th:classappend="${#fields.hasErrors('email')}? 'is-invalid':''">
	                    <label for="email" class="col-form-label">Email</label>
	                    <input id="email" class="form-control form-control-sm border-secondary rounded-0" th:field="*{email}">
	                    <p class="error-message" th:each="error : ${#fields.errors('email')}"
	                    th:text="${error}">Validation error</p>
	                </div>
	                
	                <div class="form-group" th:classappend="${#fields.hasErrors('adresse')}? 'is-invalid':''">
		                    <label for="cust_name" class="col-form-label">Adresse</label><br>
		                     <textarea class="form-control border-secondary rounded-0" 
		                     	th:classappend="${#fields.hasErrors('adresse')}? 'is-invalid' :''" th:field = "*{adresse}"  >...</textarea>
		                    <div class="invalid-feedback" th:each="error: ${#fields.errors('adresse')}" th:text="${error}">
						      Validation error
						    </div>
		              </div>
	                
	                <div class="form-group">
	                    <button type="submit" class="btn btn-success">Ajouter le fournisseur</button>
	                </div>
	            </form>
	        </div>
	        
	        <div class="col-sm-8">
	        
	        <h1>Liste Fournisseurs</h1>
	        	
	        	<table class="table table-sm">
	        		<thead>
	        			<tr>
	        				<th>Nom fournisseur</th>
	        				<th></th>
	        			</tr>
	        		</thead>
	        		
	        		<tbody>
	        			<tr th:each="fournisseur : ${listFournisseurs}">
	        				<td th:text="${fournisseur.nomFournisseur}"></td>
	        				<td>
	        					<a th:href="@{'/fournisseur/view/'+${fournisseur.id}}">Consulter</a>
	        					<a th:href="@{'/fournisseur/edit/'+${fournisseur.id}}">Modifier</a>
	        					<a href="#" th:onclick="deleteFournisseur([[${fournisseur.id}]])">Supprimer</a>
	        				</td>
	        			</tr>
	        		</tbody>
	        	</table>
	        	
	        	<script>
	        	function deleteFournisseur(ID) {
	        		//console.log('Delete fournisseur: '+ID);
	        		var BASE_PATH = "http://localhost:9000/public";
	        		if(confirm('Voulez-vous supprimer ce fournisseur ?')) {
	        			axios.delete(BASE_PATH+"/removeSupplier/"+ID)
	        			  .then(response => {
	        				  	console.log(response);  
	        			})
	        			.catch(error => {
	        			    	console.log(error);
	        			})
	        		}
	        		else{
	        			axios.get(BASE_PATH+"/getSupplier/"+ID)
	        			  .then(response => {
	        				  	console.log(response);  
	        			})
	        			.catch(error => {
	        			    	console.log(error);
	        			})
	        		}
	        	}
	        	</script>
	        
	        </div>
	    </div>
	</div>

	<script type="text/javascript"
		th:src="@{/webjars/jquery/3.2.1/jquery.min.js/}"></script>
	<script type="text/javascript"
		th:src="@{/webjars/bootstrap/4.1.3/js/bootstrap.min.js}"></script>
	
	<script src="https://unpkg.com/axios/dist/axios.min.js"></script>
	
</body>
</html>